import { ChangeEventHandler, FocusEventHandler } from 'react';
interface SearchInputProps {
    searchString: string;
    setSearchString: ChangeEventHandler<HTMLInputElement>;
    setHighlightedItem: Function;
    autoFocus: boolean;
    onBlur: FocusEventHandler<HTMLInputElement>;
    onFocus: FocusEventHandler<HTMLInputElement>;
    onClear: Function;
    placeholder: string;
    showIcon: boolean;
    showClear: boolean;
    CustomSearchIcon?: Function;
    CustomClearIcon?: Function;
}
export default function SearchInput({ searchString, setSearchString, setHighlightedItem, autoFocus, onBlur, onFocus, onClear, placeholder, showIcon, showClear, CustomSearchIcon, CustomClearIcon }: SearchInputProps): JSX.Element;
export {};
